MCP Tools Reference: apikeys.googleapis.com

Tool: apikeys_lookup_key

Finds the parent project and resource name of the API key that matches the key string in the request.

The following code sample shows how to use curl to call the apikeys_lookup_key MCP tool.

Curl Request
curl --location 'https://apikeys.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "apikeys_lookup_key",
    "arguments": {
      // Provide these details according to the MCP tool specification.
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'

Input Schema

Request message for LookupKey method.

LookupKeyRequest

JSON representation
{
  "keyString": string
}
Fields
keyString

string

Required. Finds the project that owns the key string value.

Output Schema

Response message for LookupKey method.

LookupKeyResponse

JSON representation
{
  "parent": string,
  "name": string
}
Fields
parent

string

The project that owns the key with the value specified in the request.

name

string

The resource name of the API key. If the API key has been purged, resource name is empty.

Tool Annotations

Tool annotations are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.

Along with the title string, the following boolean hints are defined as follows:

  • readOnlyHint: If true, the tool doesn't modify its environment. Default: false.
  • destructiveHint: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.
  • idempotentHint: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.
  • openWorldHint: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌